## Apache Zeta Components Manual :: Docs For Class ezcGraphLinearGradient

### Graph::ezcGraphLinearGradient

### Class ezcGraphLinearGradient

Class representing linear gradient fills. For drivers which cannot draw gradients it falls back to a native ezcGraphColor. In this case the start color of the gradient will be used.

Source for this file: /Graph/src/colors/linear_gradient.php

    ezcBaseOptions
       |
       --ezcGraphColor
          |
          --ezcGraphLinearGradient

Version: | //autogentag//

### Properties

ezcGraphColor | read/write | `$endColor` Ending color of the gradient.
ezcGraphCoordinate | read/write | `$endPoint` Ending point of the gradient.
ezcGraphColor | read/write | `$startColor` Starting color of the gradient.
ezcGraphCoordinate | read/write | `$startPoint` Starting point of the gradient.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__construct( $startPoint , $endPoint , $startColor , $endColor )` Constructor
public void | `__toString( )` Returns a unique string representation for the gradient.

### Inherited Methods

From ezcGraphColor
public static ezcGraphColor | `ezcGraphColor::create()` Tries to parse provided color value
public ezcGraphColor | `ezcGraphColor::darken()` Returns a copy of the current color darkened by the given factor
public static ezcGraphColor | `ezcGraphColor::fromFloatArray()` Creates an ezcGraphColor object from an array of floats
public static ezcGraphColor | `ezcGraphColor::fromHex()` Creates an ezcGraphColor object from a hexadecimal color representation
public static ezcGraphColor | `ezcGraphColor::fromIntegerArray()` Creates an ezcGraphColor object from an array of integers
public ezcGraphColor | `ezcGraphColor::invert()` Inverts and returns a copy of the current color
public ezcGraphColor | `ezcGraphColor::transparent()` Returns a copy of the current color made more transparent by the given factor
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

void __construct( ezcGraphCoordinate $startPoint , ezcGraphCoordinate $endPoint , ezcGraphColor $startColor , ezcGraphColor $endColor )

Constructor

##### Parameters:

Name | Type | Description
--- | --- | ---
`$startPoint` | ezcGraphCoordinate |
`$endPoint` | ezcGraphCoordinate |
`$startColor` | ezcGraphColor |
`$endColor` | ezcGraphColor |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

#### __toString

void __toString( )

Returns a unique string representation for the gradient.

Documentation generated by phpDocumentor 1.4.3